
Redmine - Defect #16869

issue after update to 2.1.0

2014-05-13 18:01 - samir cherbani

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.0

Description

hello after update of my redmine from Windows  server to  linux server when i try to  access "activité"  i got the error

Started GET "/projects/dpt/activity" for 10.1.13.15 at 2014-05-13 16:02:11 +0000

Processing by ActivitiesController#index as HTML

Parameters: {"id"=>"dpt"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 36ms

NameError (uninitialized constant Redmine::Acts::ActivityProvider::InstanceMethods::ClassMethods::ARCondition):

lib/redmine/activity/fetcher.rb:76:in `block (2 levels) in events'

lib/redmine/activity/fetcher.rb:75:in `each'

lib/redmine/activity/fetcher.rb:75:in `block in events'

lib/redmine/activity/fetcher.rb:74:in `each'

lib/redmine/activity/fetcher.rb:74:in `events'

app/controllers/activities_controller.rb:41:in `index'

in the update phase some plugins can't be updated below the list of OK and NOK update plugins

Plugins OK :

drwxr-xr-x 3 root web 4096  8 mai   15:00 acts_as_activity_provider

drwxr-xr-x 3 root web 4096  8 mai   15:00 acts_as_attachable

drwxr-xr-x 3 root web 4096  8 mai   14:59 acts_as_event

drwxr-xr-x 4 root web 4096  8 mai   14:59 acts_as_list

drwxr-xr-x 3 root web 4096  8 mai   14:58 acts_as_searchable

drwxr-xr-x 4 root web 4096  8 mai   14:58 acts_as_tree

drwxr-xr-x 4 root web 4096  8 mai   14:58 acts_as_versioned

drwxr-xr-x 3 root web 4096  8 mai   14:58 acts_as_watchable

drwxr-xr-x 4 root web 4096  8 mai   14:57 classic_pagination

drwxr-xr-x 4 root web 4096  8 mai   14:56 coderay-0.7.6.227

drwxr-xr-x 4 root web 4096  8 mai   14:55 gravatar

drwxr-xr-x 6 root web 4096  8 mai   14:55 open_flash_chart

drwxr-xr-x 4 root web 4096  8 mai   14:54 redmine_auto_complete

drwxr-xr-x 4 root web 4096  8 mai   14:52 rfpdf

Plugins NOK :

gloc-1.1.0

engines

awesome_nested_set

acts_as_customizable

actionwebservice

timesheet_plugin

redmine_issues_group

redmine_charts

my  configuration:

Environment:

Redmine version                          2.1.0.stable

Ruby version                             1.9.3 (i686-linux)
Rails version                            3.2.8

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

no plugin installed  (i didn't understand  why it tell no plugins installed)

thnw for your help

History

#1 - 2014-05-13 19:00 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Some of your plugins are incompatible.

See r8089 and Error 500 after upgrading to 1.4.

#2 - 2014-05-14 10:32 - samir cherbani

Hello Toshi MARUYAMA*

thank you for your help. i would know if there is  a way to  know the incompatible plugin please.

Regards.

#3 - 2014-05-14 11:38 - Toshi MARUYAMA

Redmine core plugins in source:tags/2.1.0/lib/plugins .

Third party plugins in source:tags/2.1.0/plugins .

Please use forum for questions.
https://www.redmine.org/projects/redmine/repository/svn/revisions/8089
https://www.redmine.org/boards/2/topics/30011
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.1.0/lib/plugins
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.1.0/plugins
